## com.thingmagic
Interface ReadListener

    public interface ReadListener

The listener interface for receiving tag read events. The class that is interested in processing a tag read event implements this interface, and the object created with that class is registered with Reader.addReadListener(). When the tag read occurs, the object's tagRead method is invoked.

Method Summary
`void` `tagRead(Reader r, TagReadData t)` Invoked when a tag read occurs

Method Detail

### tagRead

    void tagRead(Reader r,
                 TagReadData t)

  Invoked when a tag read occurs

  Parameters:
    `r` - the Reader where the tag was read
    `t` - the tag data and metadata